### Method

# GimpUi SizeEntry set_unit

#### Declaration [src]

    void
    gimp_size_entry_set_unit (
      GimpSizeEntry* gse,
      GimpUnit unit
    )

#### Description [src]

Sets the `GimpSizeEntry`‘s unit. The reference value for all fields will stay the same but the value in units or pixels per unit will change according to which `GimpSizeEntryUpdatePolicy` you chose in gimp_size_entry_new().

#### Parameters

`unit` | `None`
| The new unit.